import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_media/DataBase.dart';

void main() => runApp(MyApp());

/// This is the main application widget.
class MyApp extends StatelessWidget {
  static const String _title = 'Flutter Code Sample';

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: _title,
      home: MyStatefulWidget(),
    );
  }
}

/// This is the stateful widget that the main application instantiates.
class MyStatefulWidget extends StatefulWidget {
  MyStatefulWidget({Key key}) : super(key: key);

  @override
  _MyStatefulWidgetState createState() => _MyStatefulWidgetState();
}




/// This is the private State class that goes with MyStatefulWidget.
class _MyStatefulWidgetState extends State<MyStatefulWidget> {
  int _selectedIndex = 0;
  static DataBase dataBase= new DataBase();
  static const TextStyle optionStyle =
  TextStyle(fontSize: 30, fontWeight: FontWeight.bold);
  static const TextStyle titleStyle =
  TextStyle(fontSize: 50, fontWeight: FontWeight.bold, color:  Colors.blue);
  static const TextStyle titleStyle2 =
  TextStyle(fontSize: 44, fontWeight: FontWeight.bold, color:  Colors.blue);

  static final List<Widget> _widgetOptions = <Widget>[
    Text(
      'Accueil',
      style: optionStyle,
    ),
    ListView.separated(
      physics: ScrollPhysics(),
      padding: const EdgeInsets.all(0),
      itemCount: dataBase.getGameViews().length+1,
      itemBuilder: (BuildContext context, int index) {
        if(index==0) return Container(
          height: 60,
          child: Text('Mes jeux-vidéos',style: titleStyle2,textAlign: TextAlign.center),
        );
        else return Container(
          height: 150,
          child: Center(child: dataBase.getGameViews()[index-1]),
        );
      },
      separatorBuilder: (BuildContext context, int index) => const Divider(thickness: 5 ,color: Colors.blue, indent: 10, endIndent: 10,),
    ),
    ListView.separated(
      physics: ScrollPhysics(),
      padding: const EdgeInsets.all(8),
      itemCount: dataBase.getMangaViews().length+1,
      itemBuilder: (BuildContext context, int index) {
       if(index==0) return Container(
          height: 60,
          child: Text('Mes mangas',style: titleStyle,textAlign: TextAlign.center),
        );
      else return Container(
        height: 150,
        child: Center(child: dataBase.getMangaViews()[index-1]),
      );
      },
      separatorBuilder: (BuildContext context, int index) => const Divider(thickness: 5 ,color: Colors.blue, indent: 10, endIndent: 10,),
    ),

    Text(
      'Oeuvres favorites',
      style: optionStyle,
    ),
    Text(
      'Informations',
      style: optionStyle,
    ),
  ];

  void _onItemTapped(int index) {
    setState(() {
      _selectedIndex = index;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Gestion de Médias'),
      ),
      body: Center(
        child: _widgetOptions.elementAt(_selectedIndex),
      ),
      bottomNavigationBar: BottomNavigationBar(
        type: BottomNavigationBarType.fixed,
        items: const <BottomNavigationBarItem>[
          BottomNavigationBarItem(
            icon: Icon(Icons.home),
            label: 'Accueil',
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.videogame_asset),
            label: 'Jeu Vidéo',
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.menu_book),
            label: 'Manga',
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.favorite),
            label: 'Aimés',
          ),
          BottomNavigationBarItem(
            icon: Icon(Icons.not_listed_location),
            label: 'Infos',
          ),
        ],
        currentIndex: _selectedIndex,
        selectedItemColor: Colors.blue[400],
        onTap: _onItemTapped,
      ),
    );
  }
}